# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           intel-undervolt
Version:        1.7
Release:        alt1_2
Summary:        Intel CPU undervolting and throttling configuration tool
Group:          System/Kernel and hardware
License:        GPLv3
URL:            https://github.com/kitsunyan/intel-undervolt
Source0:        https://github.com/kitsunyan/intel-undervolt/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  pkgconfig(systemd)
Source44: import.info

%description
intel-undervolt is a tool for undervolting and throttling limits
alteration for Intel CPUs.

Undervolting works on Haswell and newer CPUs and based on the content
of this article: https://github.com/mihic/linux-intel-undervolt

DISCLAIMER: This tool may damage your hardware since it uses reverse
engineered methods of MSR usage. Use it on your own risk.
Review the README for usage instructions.

%prep
%setup -q


# Cant build with proper build flags on Fedora
# * https://github.com/kitsunyan/intel-undervolt/issues/31
#sed -i 's|CFLAGS =|CFLAGS =%{optflags}|' Makefile.in

%build
%configure --enable-systemd
%make_build

%install
%makeinstall_std

%files
%doc README.md
%doc --no-dereference COPYING
%{_bindir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}.conf
%{_unitdir}/%{name}*.service


%changelog
* Thu Oct 21 2021 Igor Vlasenko <viy@altlinux.org> 1.7-alt1_2
- update by mgaimport

* Sun Sep 29 2019 Igor Vlasenko <viy@altlinux.ru> 1.6-alt1_1
- new version

